#!/usr/bin/env bash

# ====================CONFIG THIS =============================== #
export COLOR_01="#393B44"           # Black
export COLOR_02="#C94F6D"           # Red
export COLOR_03="#81B29A"           # Green
export COLOR_04="#DBC074"           # Yellow
export COLOR_05="#719CD6"           # Blue
export COLOR_06="#9D79D6"           # Magenta
export COLOR_07="#63CDCF"           # Cyan
export COLOR_08="#DFDFE0"           # Light gray

export COLOR_09="#575860"           # Dark gray
export COLOR_10="#D16983"           # Light Red
export COLOR_11="#8EBAA4"           # Light Green
export COLOR_12="#E0C989"           # Light Yellow
export COLOR_13="#86ABDC"           # Light Blue
export COLOR_14="#BAA1E2"           # Light Magenta
export COLOR_15="#7AD4D6"           # Light Cyan
export COLOR_16="#E4E4E5"           # White

export BACKGROUND_COLOR="#192330"   # Background Color
export FOREGROUND_COLOR="#CDCECF"   # Foreground Color (text)
export CURSOR_COLOR="$FOREGROUND_COLOR" # Cursor color
export PROFILE_NAME="_bash"
# =============================================================== #







# =============================================================== #
# | Apply Colors
# ===============================================================|#
SCRIPT_PATH="${SCRIPT_PATH:-$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)}"
PARENT_PATH="$(dirname "${SCRIPT_PATH}")"

# Allow developer to change url to forked url for easier testing
# IMPORTANT: Make sure you export this variable if your main shell is not bash
BASE_URL=${BASE_URL:-"https://raw.githubusercontent.com/Gogh-Co/Gogh/master"}


if [[ -e "${PARENT_PATH}/apply-colors.sh" ]]; then
  bash "${PARENT_PATH}/apply-colors.sh"
else
  if [[ "$(uname)" = "Darwin" ]]; then
    # OSX ships with curl and ancient bash
    bash -c "$(curl -so- "${BASE_URL}/apply-colors.sh")"
  else
    # Linux ships with wget
    bash -c "$(wget -qO- "${BASE_URL}/apply-colors.sh")"
  fi
fi
